classification
Title: Failed separate testTruncateOnWindows in test_file
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-06-03 12:47 by serhiy.storchaka, last changed 2018-06-08 17:24 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7378 merged serhiy.storchaka, 2018-06-04 04:20
PR 7435 merged miss-islington, 2018-06-05 16:56
PR 7436 merged miss-islington, 2018-06-05 16:58
PR 7445 merged serhiy.storchaka, 2018-06-06 08:00
Messages (5)
msg318543 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-03 12:47
$ ./python -m test -v -m testTruncateOnWindows test_file
...
testTruncateOnWindows (test.test_file.COtherFileTests) ... ERROR
testTruncateOnWindows (test.test_file.PyOtherFileTests) ... ERROR

======================================================================
ERROR: testTruncateOnWindows (test.test_file.COtherFileTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/serhiy/py/cpython/Lib/test/test_file.py", line 188, in testTruncateOnWindows
    os.unlink(TESTFN)
FileNotFoundError: [Errno 2] No such file or directory: '@test_8845_tmp'

======================================================================
ERROR: testTruncateOnWindows (test.test_file.PyOtherFileTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/serhiy/py/cpython/Lib/test/test_file.py", line 188, in testTruncateOnWindows
    os.unlink(TESTFN)
FileNotFoundError: [Errno 2] No such file or directory: '@test_8845_tmp'

----------------------------------------------------------------------
msg318769 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-05 16:55
New changeset c2745d2d05546d76f655ab450eb23d1af39e0b1c by Serhiy Storchaka in branch 'master':
bpo-33751: Fix test_file. (GH-7378)
https://github.com/python/cpython/commit/c2745d2d05546d76f655ab450eb23d1af39e0b1c
msg318776 - (view) Author: miss-islington (miss-islington) Date: 2018-06-05 17:51
New changeset 1d419faccdaae27d968cef1e1ece6b9374694573 by Miss Islington (bot) in branch '3.7':
bpo-33751: Fix test_file. (GH-7378)
https://github.com/python/cpython/commit/1d419faccdaae27d968cef1e1ece6b9374694573
msg318777 - (view) Author: miss-islington (miss-islington) Date: 2018-06-05 17:51
New changeset f74a1244eba88b562add5193242ac55115aaf25c by Miss Islington (bot) in branch '3.6':
bpo-33751: Fix test_file. (GH-7378)
https://github.com/python/cpython/commit/f74a1244eba88b562add5193242ac55115aaf25c
msg319086 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-08 17:24
New changeset 23999158f962e31e955f3cd232b3745d523720cb by Serhiy Storchaka in branch '2.7':
[2.7] bpo-33751: Fix test_file. (GH-7378) (GH-7445)
https://github.com/python/cpython/commit/23999158f962e31e955f3cd232b3745d523720cb
History
Date User Action Args
2018-06-08 17:24:40serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-08 17:24:26serhiy.storchakasetmessages: + msg319086
2018-06-06 08:00:58serhiy.storchakasetpull_requests: + pull_request7069
2018-06-05 17:51:05miss-islingtonsetmessages: + msg318777
2018-06-05 17:51:04miss-islingtonsetnosy: + miss-islington
messages: + msg318776
2018-06-05 16:58:53miss-islingtonsetpull_requests: + pull_request7062
2018-06-05 16:56:51miss-islingtonsetpull_requests: + pull_request7061
2018-06-05 16:55:43serhiy.storchakasetmessages: + msg318769
2018-06-04 04:20:32serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request7005
2018-06-03 12:47:27serhiy.storchakacreate